## ETableGroupContainer ETableGroupContainer |

## Functions

ETableGroup * | e_table_group_container_new ()
void | e_table_group_container_construct ()
gboolean | e_table_group_container_is_editing ()

## Types and Values

struct | ETableGroupContainerChildNode

## Description

## Functions

### e_table_group_container_new ()

    ETableGroup *
    e_table_group_container_new (GnomeCanvasGroup *parent,
                                 ETableHeader *full_header,
                                 ETableHeader *header,
                                 ETableModel *model,
                                 ETableSortInfo *sort_info,
                                 gint n);

`e_table_group_container_new` is deprecated and should not be used in newly-written code.

`ETableGroupContainer` is an `ETableGroup` which groups by the nth grouping of the `ETableSortInfo`. It creates `ETableGroups` as children.

#### Parameters

parent | The `GnomeCanvasGroup` to create a child of. |
full_header | The full header of the `ETable`. |
header | The current header of the `ETable`. |
model | The `ETableModel` of the `ETable`. |
sort_info | The `ETableSortInfo` of the `ETable`. |
n | Which grouping level this is (Starts at 0 and sends n + 1 to any child `ETableGroups`. |

#### Returns

The new `ETableGroupContainer`.

### e_table_group_container_construct ()

    void
    e_table_group_container_construct (GnomeCanvasGroup *parent,
                                       ETableGroupContainer *etgc,
                                       ETableHeader *full_header,
                                       ETableHeader *header,
                                       ETableModel *model,
                                       ETableSortInfo *sort_info,
                                       gint n);

`e_table_group_container_construct` is deprecated and should not be used in newly-written code.

This routine constructs the new `ETableGroupContainer`.

#### Parameters

parent | The `GnomeCanvasGroup` to create a child of. |
etgc | The `ETableGroupContainer`. |
full_header | The full header of the `ETable`. |
header | The current header of the `ETable`. |
model | The `ETableModel` of the `ETable`. |
sort_info | The `ETableSortInfo` of the `ETable`. |
n | Which grouping level this is (Starts at 0 and sends n + 1 to any child `ETableGroups`. |

### e_table_group_container_is_editing ()

    gboolean
    e_table_group_container_is_editing (ETableGroupContainer *etgc);

`e_table_group_container_is_editing` is deprecated and should not be used in newly-written code.

## Types and Values

### struct ETableGroupContainerChildNode

    struct ETableGroupContainerChildNode {
    	ETableGroup *child;
    	gpointer key;
    	gchar *string;
    	GnomeCanvasItem *text;
    	GnomeCanvasItem *rect;
    	gint count;
    };

`ETableGroupContainerChildNode` is deprecated and should not be used in newly-written code.